/* printero.c   By Tom Harrold      9/15/90

Purpose:    Use _bios_printer to initialize the printer, determine its
			status, and send characters to it.

Syntax:     unsigned _bios_printer (unsigned service, unsigned printer,
									unsigned data);

			Where:
				unsigned service;   Printer function requested

				unsigned printer;   Printer port, 0 = LPT1 and 1 = LPT2

				unsigned data;      character being sent to the printer

Example Call:
				_bios_printer(_PRINTER_WRITE, LPT1, 'x');

Includes:       #include <bios.h>   For definition of function codes


*/

#include <stdio.h>
#include <bios.h>
#define LPT1 0
char str[] = "\rTesting BIOS printing routine\n\r";

main()
{
	unsigned status, data;
	int i;

	status = _bios_printer(_PRINTER_INIT, LPT1, data);
	for (i=0; str[i] != '\0'; i++)
		{
			data = str[i];
			_bios_printer(_PRINTER_WRITE, LPT1, data);
		}
}



